Node('triton.psi.ch',
     'triton test',
)

sea_cfg = 'dil5.stick'

Mod('triton',
    'frappy_psi.mercury.IO',
    'connection to triton software',
    uri='tcp://linse-dil5:33576',
    timeout=25.0,
)

Mod('T_mix',
    'frappy_psi.triton.TemperatureLoop',
    'mix. chamber temperature',
    slot='T5',
    output_module='htr_mix',
    io='triton',
)

Mod('htr_mix',
    'frappy_psi.triton.HeaterOutputWithRange',
    'mix. chamber heater',
    slot='H1,T5',
    io='triton',
    resistivity = 100,
)

Mod('ts',
    'frappy_psi.picontrol.PI',
    'softloop controlled Temperature mixing chamber',
    meaning=['temperature', 30],
    input_module = 'T_mix',
    output_module = 'htr_mix',
    control_active = 1,
    output_range = (0, 100000),
    p = 20000,
    i = 100,
   )

Mod('htr_sorb',
    'frappy_psi.triton.HeaterOutput',
    'sorb heater',
    slot='H3',
    io='triton',
)

Mod('htr_still',
    'frappy_psi.triton.HeaterOutput',
    'still heater',
    slot='H2',
    io='triton',
)

Mod('T_sorb',
    'frappy_psi.triton.TemperatureSensor',
    'sorb temperature',
    slot='T1',
    io='triton',
)

Mod('T_ivc',
    'frappy_psi.triton.TemperatureSensor',
    'IVC temperature',
    slot='T2',
    io='triton',
)

Mod('T_still',
    'frappy_psi.triton.TemperatureSensor',
    'still temperature',
    slot='T3',
    io='triton',
)

Mod('T_cp',
    'frappy_psi.triton.TemperatureSensor',
    'cold plate temperature',
    slot='T4',
    io='triton',
)

Mod('action',
    'frappy_psi.triton.Action',
    'higher level scripts',
    io='triton',
    slot='DR',
)

Mod('p_dump',
    'frappy_psi.mercury.PressureSensor',
    'dump pressure',
    slot='P1',
    io='triton',
)

Mod('p_cond',
    'frappy_psi.mercury.PressureSensor',
    'condenser pressure',
    slot='P2',
    io='triton',
)

Mod('p_still',
    'frappy_psi.mercury.PressureSensor',
    'still pressure',
    slot='P3',
    io='triton',
)

Mod('p_fore',
    'frappy_psi.mercury.PressureSensor',
    'pressure on the pump side',
    slot='P4',
    io='triton',
)

Mod('p_back',
    'frappy_psi.mercury.PressureSensor',
    'pressure on the back side of the pump',
    slot='P5',
    io='triton',
)

Mod('itc',
    'frappy_psi.mercury.IO',
    'connection to MercuryiTC',
    uri='tcp://linse-dil5:3000',
)

Mod('T_still_wup',
    'frappy_psi.mercury.TemperatureLoop',
    'still warmup temperature',
    slot='MB1.T1',
    io='itc',
)

#Mod('htr_still_wup',
#    'frappy_psi.mercury.HeaterOutput',
#    'still warmup heater',
#    slot='MB0.H1',
#    io='itc',
#)

Mod('T_one_K',
    'frappy_psi.mercury.TemperatureLoop',
    '1 K plate warmup temperature',
    slot='DB5.T1',
    io='itc',
)

Mod('T_mix_wup',
    'frappy_psi.mercury.TemperatureLoop',
    'mix. chamber warmup temperature',
    slot='DB6.T1',
    io='itc',
)

Mod('htr_mix_wup',
    'frappy_psi.mercury.HeaterOutput',
    'mix. chamber warmup heater',
    slot='DB1.H1',
    io='itc',
)

Mod('T_ivc_wup',
    'frappy_psi.mercury.TemperatureLoop',
    'IVC warmup temperature',
    slot='DB7.T1',
    io='itc',
)

Mod('htr_ivc_wup',
    'frappy_psi.mercury.HeaterOutput',
    'IVC warmup heater',
    slot='DB2.H1',
    io='itc',
)

Mod('T_cond',
    'frappy_psi.mercury.TemperatureLoop',
    'condenser temperature',
    slot='DB8.T1',
    io='itc',
)

Mod('htr_cond',
    'frappy_psi.mercury.HeaterOutput',
    'condenser heater',
    slot='DB3.H1',
    io='itc',
)

Mod('V1',
    'frappy_psi.triton.Valve',
    'valve V1',
    slot='V1',
    io='triton',
)

Mod('V2',
    'frappy_psi.triton.Valve',
    'valve V2',
    slot='V2',
    io='triton',
)

Mod('V4',
    'frappy_psi.triton.Valve',
    'valve V4',
    slot='V4',
    io='triton',
)

Mod('V5',
    'frappy_psi.triton.Valve',
    'valve V5',
    slot='V5',
    io='triton',
)

Mod('V9',
    'frappy_psi.triton.Valve',
    'valve V9',
    slot='V9',
    io='triton',
)

Mod('turbo',
    'frappy_psi.triton.TurboPump',
    'still turbo pump',
    slot='TURB1',
    io='triton',
)

Mod('fp',
    'frappy_psi.triton.Pump',
    'still fore pump',
    slot='FP',
    io='triton',
)

Mod('compressor',
    'frappy_psi.triton.Pump',
    'compressor',
    slot='COMP',
    io='triton',
)
